services:
    admin.cours:
        class: App\Admin\CoursAdmin
        calls:
            - [ setTemplate, [ 'edit', 'admin/Cours/cours.html.twig' ] ]
        arguments: [~, App\Entity\Cours, App\Controller\Admin\CoursAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: menu.Cours }
        public: true

    admin.cours_en_ligne:
        class: App\Admin\CoursEnLigneAdmin
        arguments: [~, App\Entity\CoursEnLigne, App\Controller\Admin\CoursenligneAdminController]
        calls:
            - [ setTemplate, [ 'edit', 'admin/Coursenligne/coursenligne.html.twig' ] ]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: menu.Cours_en_ligne }
        public: true

    admin.tp:
        class: App\Admin\TpAdmin
        arguments: [~, App\Entity\Tp, App\Controller\Admin\TpAdminController]
        calls:
            - [ setTemplate, [ 'edit', 'admin/Cours/cours.html.twig' ] ]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: menu.Tp }
        public: true
